Angular and Ionic Toggle & Radio Toggle & Radio for Angular and Ionic Framework

You are looking at v3 demos, switch to Mobiscroll 4?

Toggle & Radio for Angular and Ionic Framework

light
dark

Change the theme setting here

Toggle & Radio - Checkbox

Change demo
Checkbox
Angular Checkbox and checklist demo and styling with or without description text. Supports disabled styling. For Angular 22 and Ionic 8.

Toggle & Radio - Switch

Change demo
Switch
Angular Switch demo and styling with our without description. Use it instead of checkbox. Supporting disabled styling. For Angular 22 and Ionic 8.
@Component({
    selector: 'demo-app',
    templateUrl: './app.component.html'
})
export class AppComponent {
    switch1 = false;
    switch2 = true;
    switch3 = false;
    switch4 = true;
    formSettings = {
        lang: ' ',
        theme: ' ',
        themeVariant: ' '
    };
}
<mbsc-form [options]="formSettings">
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Switch</div>
        <mbsc-switch [(ngModel)]="switch1"> Switch Off
            <span class="mbsc-desc">This is description for Switch</span>
        </mbsc-switch>
        <mbsc-switch [(ngModel)]="switch2"> Switch On
            <span class="mbsc-desc">This is description for Switch</span>
        </mbsc-switch>
        <mbsc-switch [(ngModel)]="switch3" [disabled]="true"> Disabled Switch Off
            <span class="mbsc-desc">This is description for Switch</span>
        </mbsc-switch>
        <mbsc-switch [(ngModel)]="switch4" [disabled]="true"> Disabled Switch On
            <span class="mbsc-desc">This is description for Switch</span>
        </mbsc-switch>
    </div>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Toggle & Radio - Radio buttons

Change demo
Radio buttons
Angular Radio button demo for single select option lists. Use it with or without description, supporting disabled styling. For Angular 22 and Ionic 8.

Toggle & Radio - Checklist

Change demo
Checklist
Angular Checklist demo with icon and description. Grouping and multiple color presets are supported. For Angular 22 and Ionic 8.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

React Toggle & Radio Toggle & Radio for React

You are looking at v3 demos, switch to Mobiscroll 4?

Toggle & Radio for React

light
dark

Change the theme setting here

Toggle & Radio - Checkbox

Change demo
Checkbox
React Checkbox and checklist demo and styling with or without description text. Supports disabled styling. For React and Next.JS.

Toggle & Radio - Switch

Change demo
Switch
React Switch demo and styling with our without description. Use it instead of checkbox. Supporting disabled styling. For React and Next.JS.
var FormsDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Form theme=" "  themeVariant=" " lang=" ">
                    <div className="mbsc-form-group">
                        <div className="mbsc-form-group-title">Switch</div>
                        <mobiscroll.Switch theme=" "  themeVariant=" " value={this.state.switch1} onChange={this.onChange1}>
                            Switch off
                            <span className="mbsc-desc">This is desctiption for Switch</span>
                        </mobiscroll.Switch>
                        <mobiscroll.Switch theme=" "  themeVariant=" " value={this.state.switch2} onChange={this.onChange2}>
                            Switch on
                            <span className="mbsc-desc">This is desctiption for Switch</span>
                        </mobiscroll.Switch>
                        <mobiscroll.Switch theme=" "  themeVariant=" " value={this.state.switch3} onChange={this.onChange1} disabled>
                            Switch off
                        </mobiscroll.Switch>
                        <mobiscroll.Switch theme=" "  themeVariant=" " value={this.state.switch4} onChange={this.onChange2} disabled>
                            Switch on
                        </mobiscroll.Switch>
                    </div>
                </mobiscroll.Form>
            </div>
        );
    },
    getInitialState: function() {
        return {
            switch1: true,
            switch2: false,
        };
    },
    onChange1: function(event) {
        this.setState({
            switch1: event.target.checked
        });
    },
    onChange2: function(event) {
        this.setState({
            switch2: event.target.checked
        });
    }
});

<div id="content"></div>

Toggle & Radio - Radio buttons

Change demo
Radio buttons
React Radio button demo for single select option lists. Use it with or without description, supporting disabled styling. For React and Next.JS.

Toggle & Radio - Checklist

Change demo
Checklist
React Checklist demo with icon and description. Grouping and multiple color presets are supported. For React and Next.JS.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos